close #411 segments should not be allowed where node_a == node_b
[rails.git] / config / environment.rb
index 03e9560821839cbffa4b71b359ecc0a2c396272b..ac50d21f734c71b86d1ab5644e03fcd2b95f4d52 100644 (file)
@@ -5,10 +5,13 @@
 # ENV['RAILS_ENV'] ||= 'production'
 
 # Specifies gem version of Rails to use when vendor/rails is not present
-RAILS_GEM_VERSION = '1.1.4'
+RAILS_GEM_VERSION = '1.2.3'
 
 # Bootstrap the Rails environment, frameworks, and default configuration
 require File.join(File.dirname(__FILE__), 'boot')
+\r
+# Application constants needed for routes.rb - must go before Initializer call\r
+API_VERSION = ENV['OSM_API_VERSION'] || '0.4'\r
 
 Rails::Initializer.run do |config|
   # Settings in config/environments/* take precedence those specified here
@@ -50,4 +53,26 @@ end
 #   inflect.uncountable %w( fish sheep )
 # end
 
-# Include your application configuration below
\ No newline at end of file
+# Include your application configuration below
+SERVER_URL = ENV['OSM_SERVER_URL'] || 'www.openstreetmap.org'
+
+ActionMailer::Base.server_settings = {
+  :address  => "localhost",
+  :port  => 25, 
+  :domain  => 'localhost',
+} 
+
+
+# HTTP CODES
+
+# 200's
+
+HTTP_OK = 200
+
+# 400's
+
+HTTP_PRECONDITION_FAILED = 412
+HTTP_EXPECTATION_FAILED = 417
+
+
+